## golang-github-prometheus-common 0.32.1

=== Makefile ===
# Copyright 2018 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

include Makefile.common

.PHONY: test
test:: deps check_license unused common-test

ifeq (,$(shell echo $(GO_VERSION_NUMBER) | grep -E 'go1\.(7|8|9|10)\.'))
test:: lint
endif

## golang-github-prometheus-common 0+git20160104.0a3005b

=== debian/changelog ===
golang-github-prometheus-common (0+git20160104.0a3005b-1) unstable; urgency=medium

  * Initial package. (Closes: #810667)

 -- Martín Ferrari <tincho@debian.org>  Mon, 11 Jan 2016 06:05:36 -0300

=== debian/control ===
Source: golang-github-prometheus-common
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>
Build-Depends: debhelper (>= 9.0.0), dh-golang,
               golang-go,
               golang-github-julienschmidt-httprouter-dev,
               golang-golang-x-net-dev,
               golang-goprotobuf-dev,
               golang-protobuf-extensions-dev,
               golang-logrus-dev,
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-prometheus-common.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/golang-github-prometheus-common.git/
Homepage: https://github.com/prometheus/common

Package: golang-github-prometheus-common-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
         golang-github-julienschmidt-httprouter-dev,
         golang-golang-x-net-dev,
         golang-goprotobuf-dev,
         golang-protobuf-extensions-dev,
         golang-logrus-dev,
Built-Using: ${misc:Built-Using}
Description: Common libraries for Prometheus components
 This package includes:
 .
  * github.com/prometheus/common/log: Wraps https://github.com/Sirupsen/logrus
    in order to add line:file annotations to log lines, as well as to provide
    common command-line flags for Prometheus components using it.
  * github.com/prometheus/common/model: Shared data structures
  * github.com/prometheus/common/expfmt: Decoding and encoding for the
    exposition format
  * github.com/prometheus/common/route: A routing wrapper around
    https://github.com/julienschmidt/httprouter using `context.Context`
  * github.com/prometheus/common/client_model: Data model artifacts for
    Prometheus (compiled protobuf).

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS
export DH_GOPKG := github.com/prometheus/common

%:
	dh $@ --buildsystem=golang --with=golang

BUILDDIR := $(shell perl -w -MDebian::Debhelper::Buildsystem::golang -e \
    'print Debian::Debhelper::Buildsystem::golang->new()->get_builddir()')
PROTODIR := $(CURDIR)/$(BUILDDIR)/src/$(DH_GOPKG)/client_model

DEBVERS    ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')
DEBPKGNAME ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Source: //p')
GITCOMMIT  ?= $(shell echo '$(VERSION)' | \
              sed -e 's/.*+git[[:digit:]]*\.\([[:xdigit:]]*\).*/\1/')

# All this is a hack to embed cleanly the protobuf definition which upstream
# maintains in a separate repo. The upstream .proto is included in the debian/
# directory, then compiled into a go source file in the place expected by the
# rest of the code.

override_dh_auto_configure:
	dh_auto_configure -O--buildsystem=golang
	mkdir -p $(PROTODIR)
	cd debian; protoc metrics.proto --go_out=$(PROTODIR)
	# Include test fixtures.
	cp -av expfmt/testdata $(BUILDDIR)/src/$(DH_GOPKG)/expfmt

gen-orig-tgz:
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
            git archive --format=tar.gz --prefix=$(DEBPKGNAME)-$(VERSION)/ \
                $(GITCOMMIT) >../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ; \
        fi

## golang-github-prometheus-common 0+git20160321.4045694

=== debian/changelog ===
golang-github-prometheus-common (0+git20160321.4045694-1) unstable; urgency=medium

  * New upstream "release", for prometheus 0.17.0.

 -- Martín Ferrari <tincho@debian.org>  Sat, 26 Mar 2016 04:13:58 +0000

=== debian/control ===
Source: golang-github-prometheus-common
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>
Build-Depends: debhelper (>= 9.0.0), dh-golang, golang-go,
               golang-github-julienschmidt-httprouter-dev,
               golang-golang-x-net-dev,
               golang-goprotobuf-dev,
               golang-logrus-dev,
               golang-protobuf-extensions-dev,
               golang-yaml.v2-dev,
Standards-Version: 3.9.7
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-prometheus-common.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/golang-github-prometheus-common.git/
Homepage: https://github.com/prometheus/common

Package: golang-github-prometheus-common-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
         golang-github-julienschmidt-httprouter-dev,
         golang-golang-x-net-dev,
         golang-goprotobuf-dev,
         golang-logrus-dev,
         golang-protobuf-extensions-dev,
         golang-yaml.v2-dev,
Built-Using: ${misc:Built-Using}
Description: Common libraries for Prometheus components
 This package includes:
 .
  * github.com/prometheus/common/client_model: Data model artifacts for
    Prometheus (compiled protobuf).
  * github.com/prometheus/common/config: Common configuration structures
  * github.com/prometheus/common/expfmt: Decoding and encoding for the
    exposition format
  * github.com/prometheus/common/log: Wraps https://github.com/Sirupsen/logrus
    in order to add line:file annotations to log lines, as well as to provide
    common command-line flags for Prometheus components using it.
  * github.com/prometheus/common/model: Shared data structures
  * github.com/prometheus/common/route: A routing wrapper around
    https://github.com/julienschmidt/httprouter using `context.Context`

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,7 @@
 	cd debian; protoc metrics.proto --go_out=$(PROTODIR)
 	# Include test fixtures.
 	cp -av expfmt/testdata $(BUILDDIR)/src/$(DH_GOPKG)/expfmt
+	cp -av config/testdata $(BUILDDIR)/src/$(DH_GOPKG)/config
 
 gen-orig-tgz:
 	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \

## golang-github-prometheus-common 0+git20160504.0.dd586c1

=== debian/changelog ===
golang-github-prometheus-common (0+git20160504.0.dd586c1-1) unstable; urgency=medium

  * New upstream snapshot, for prometheus-node-exporter 0.12.0.
  * debian/control: Use XS-Go-Import-Path (which require dh-golang 1.10),
    update Standards-Version with no changes.
  * debian/rules: Fix gen-orig-tgz target.
  * Switch to use the golang-github-prometheus-client-model-dev package.

 -- Martín Ferrari <tincho@debian.org>  Fri, 06 May 2016 18:35:11 +0000

=== debian/control ===
Source: golang-github-prometheus-common
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>
Build-Depends: debhelper (>= 9.0.0), dh-golang (>= 1.10), golang-go,
               golang-github-julienschmidt-httprouter-dev,
               golang-github-prometheus-client-model-dev,
               golang-golang-x-net-dev,
               golang-goprotobuf-dev,
               golang-logrus-dev,
               golang-prometheus-client-dev,
               golang-protobuf-extensions-dev,
               golang-yaml.v2-dev,
Standards-Version: 3.9.8
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-prometheus-common.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/golang-github-prometheus-common.git/
Homepage: https://github.com/prometheus/common
XS-Go-Import-Path: github.com/prometheus/common

Package: golang-github-prometheus-common-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
         golang-github-julienschmidt-httprouter-dev,
         golang-github-prometheus-client-model-dev,
         golang-golang-x-net-dev,
         golang-goprotobuf-dev,
         golang-logrus-dev,
         golang-protobuf-extensions-dev,
         golang-prometheus-client-dev,
         golang-yaml.v2-dev,
Built-Using: ${misc:Built-Using}
Description: Common libraries for Prometheus components
 This package includes:
 .
  * github.com/prometheus/common/client_model: Data model artifacts for
    Prometheus (compiled protobuf).
  * github.com/prometheus/common/config: Common configuration structures.
  * github.com/prometheus/common/expfmt: Decoding and encoding for the
    exposition format.
  * github.com/prometheus/common/log: Wraps https://github.com/Sirupsen/logrus
    in order to add line:file annotations to log lines, as well as to provide
    common command-line flags for Prometheus components using it.
  * github.com/prometheus/common/model: Shared data structures.
  * github.com/prometheus/common/route: A routing wrapper around
    https://github.com/julienschmidt/httprouter using `context.Context`.
  * github.com/prometheus/common/version: Version information and metrics.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS
export DH_GOPKG := github.com/prometheus/common

%:
	dh $@ --buildsystem=golang --with=golang

BUILDDIR := $(shell perl -w -MDebian::Debhelper::Buildsystem::golang -e \
    'print Debian::Debhelper::Buildsystem::golang->new()->get_builddir()')

DEBVERS    ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')
DEBPKGNAME ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Source: //p')

override_dh_auto_configure:
	dh_auto_configure -O--buildsystem=golang
	# Include test fixtures.
	cp -av expfmt/testdata $(BUILDDIR)/src/$(DH_GOPKG)/expfmt
	cp -av config/testdata $(BUILDDIR)/src/$(DH_GOPKG)/config

gen-orig-tgz:
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
            git archive --format=tar.gz --prefix=$(DEBPKGNAME)-$(VERSION)/ \
                upstream/$(VERSION) >../$(DEBPKGNAME)_$(VERSION).orig.tar.gz; \
        fi

## golang-github-prometheus-common 0+git20160526.0.a6ab084

=== debian/changelog ===
golang-github-prometheus-common (0+git20160526.0.a6ab084-1) unstable; urgency=medium

  * New upstream snapshot, for prometheus 0.19.2.
  * debian/control: depend on recent golang-golang-x-net-dev that solves
    an important bug.

 -- Martín Ferrari <tincho@debian.org>  Mon, 30 May 2016 11:41:10 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9.0.0), dh-golang (>= 1.10), golang-go,
                golang-github-julienschmidt-httprouter-dev,
                golang-github-prometheus-client-model-dev,
-               golang-golang-x-net-dev,
+               golang-golang-x-net-dev (>= 1:0.0+git20160518),
                golang-goprotobuf-dev,
                golang-logrus-dev,
                golang-prometheus-client-dev,
@@ -23,7 +23,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
          golang-github-julienschmidt-httprouter-dev,
          golang-github-prometheus-client-model-dev,
-         golang-golang-x-net-dev,
+         golang-golang-x-net-dev (>= 1:0.0+git20160518),
          golang-goprotobuf-dev,
          golang-logrus-dev,
          golang-protobuf-extensions-dev,

## golang-github-prometheus-common 0+git20160801.0.ebdfc6d

=== debian/changelog ===
golang-github-prometheus-common (0+git20160801.0.ebdfc6d-1) unstable; urgency=medium

  [ Martín Ferrari ]
  * New upstream snapshot, for prometheus 1.0.1.
  * debian/control: Depend on golang-any and current dh-golang.
  * debian/rules: Simplify rules using current dh-golang features.

  [ Paul Tagliamonte ]
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

 -- Martín Ferrari <tincho@debian.org>  Mon, 15 Aug 2016 13:04:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>
-Build-Depends: debhelper (>= 9.0.0), dh-golang (>= 1.10), golang-go,
+Build-Depends: debhelper (>= 9.0.0), dh-golang (>= 1.17~), golang-any,
                golang-github-julienschmidt-httprouter-dev,
                golang-github-prometheus-client-model-dev,
                golang-golang-x-net-dev (>= 1:0.0+git20160518),
@@ -13,8 +13,8 @@
                golang-protobuf-extensions-dev,
                golang-yaml.v2-dev,
 Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-prometheus-common.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/golang-github-prometheus-common.git/
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-prometheus-common.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-prometheus-common.git/
 Homepage: https://github.com/prometheus/common
 XS-Go-Import-Path: github.com/prometheus/common

=== debian/rules ===
#!/usr/bin/make -f

# Include test fixtures.
export DH_GOLANG_INSTALL_EXTRA := expfmt/testdata config/testdata

DEBVERS    ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')
DEBPKGNAME ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Source: //p')

%:
	dh $@ --buildsystem=golang --with=golang

gen-orig-tgz:
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
            git archive --format=tar.gz --prefix=$(DEBPKGNAME)-$(VERSION)/ \
                upstream/$(VERSION) >../$(DEBPKGNAME)_$(VERSION).orig.tar.gz; \
        fi

## golang-github-prometheus-common 0+git20160928.e35a2e3+really.ebdfc6d

=== debian/changelog ===
golang-github-prometheus-common (0+git20160928.e35a2e3+really.ebdfc6d-1) unstable; urgency=medium

  * Rollback to 0+git20160801.0.ebdfc6d, as the last upload broke
    reverse-dependencies. Closes: #839312.

 -- Martín Ferrari <tincho@debian.org>  Sun, 02 Oct 2016 16:42:44 +0000

golang-github-prometheus-common (0+git20160928.e35a2e3-1) unstable; urgency=medium

  * New upstream snapshot. Going back to the original version formatting.
  * Remove private copy of metrics.proto, as it is packaged separately.
  * Avoid building the version package, to remove the source circular
    dependency. Binary packages still need the circular dependency (but now it
    is not including the transitional package any more). Closes: #836964.

 -- Martín Ferrari <tincho@debian.org>  Thu, 29 Sep 2016 15:08:15 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                golang-golang-x-net-dev (>= 1:0.0+git20160518),
                golang-goprotobuf-dev,
                golang-logrus-dev,
-               golang-prometheus-client-dev,
                golang-protobuf-extensions-dev,
                golang-yaml.v2-dev,
 Standards-Version: 3.9.8
@@ -22,14 +21,13 @@
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends},
          golang-github-julienschmidt-httprouter-dev,
+         golang-github-prometheus-client-golang-dev,
          golang-github-prometheus-client-model-dev,
          golang-golang-x-net-dev (>= 1:0.0+git20160518),
          golang-goprotobuf-dev,
          golang-logrus-dev,
          golang-protobuf-extensions-dev,
-         golang-prometheus-client-dev,
          golang-yaml.v2-dev,
-Built-Using: ${misc:Built-Using}
 Description: Common libraries for Prometheus components
  This package includes:
  .

## golang-github-prometheus-common 0+git20161002.85637ea

=== debian/changelog ===
golang-github-prometheus-common (0+git20161002.85637ea-2) unstable; urgency=medium

  * Team upload.
  * Depend on golang-github-sirupsen-logrus-dev instead of transitional
    package. 

 -- Tim Potter <tpot@hpe.com>  Fri, 28 Oct 2016 12:35:48 +1100

golang-github-prometheus-common (0+git20161002.85637ea-1) unstable; urgency=medium

  * New upstream snapshot, required for Prometheus 1.1.2.

 -- Martín Ferrari <tincho@debian.org>  Sun, 23 Oct 2016 20:13:46 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                golang-github-prometheus-client-model-dev,
                golang-golang-x-net-dev (>= 1:0.0+git20160518),
                golang-goprotobuf-dev,
-               golang-logrus-dev,
+               golang-github-sirupsen-logrus-dev,
                golang-protobuf-extensions-dev,
                golang-yaml.v2-dev,
 Standards-Version: 3.9.8
@@ -25,7 +25,7 @@
          golang-github-prometheus-client-model-dev,
          golang-golang-x-net-dev (>= 1:0.0+git20160518),
          golang-goprotobuf-dev,
-         golang-logrus-dev,
+         golang-github-sirupsen-logrus-dev,
          golang-protobuf-extensions-dev,
          golang-yaml.v2-dev,
 Description: Common libraries for Prometheus components

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 # Include test fixtures.
 export DH_GOLANG_INSTALL_EXTRA := expfmt/testdata config/testdata
+
+# Remove the version package, to avoid circular dependency. These are copied
+# later using dh_install.
+export DH_GOLANG_EXCLUDES := github.com/prometheus/common/version
 
 DEBVERS    ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
 VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')

## golang-github-prometheus-common 0+git20170220.49fee29

=== debian/changelog ===
golang-github-prometheus-common (0+git20170220.49fee29-3) unstable; urgency=medium

  * Uploading to unstable version already in experimental.
  * debian/control: Fix Vcs-* fields.
  * Use pkg-go autopkgtest script.

 -- Martín Ferrari <tincho@debian.org>  Wed, 21 Jun 2017 11:20:18 +0000

golang-github-prometheus-common (0+git20170220.49fee29-2) experimental; urgency=medium

  * Add autopkgtest.

 -- Martín Ferrari <tincho@debian.org>  Sun, 21 May 2017 00:16:36 +0200

golang-github-prometheus-common (0+git20170220.49fee29-1) experimental; urgency=medium

  * New upstream snapshot, required for Prometheus 1.6.2.

 -- Martín Ferrari <tincho@debian.org>  Fri, 19 May 2017 20:05:39 +0000

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,10 @@
                golang-yaml.v2-dev,
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-prometheus-common.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-prometheus-common.git/
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-prometheus-common.git
 Homepage: https://github.com/prometheus/common
 XS-Go-Import-Path: github.com/prometheus/common
+Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-prometheus-common-dev
 Architecture: all

## golang-github-prometheus-common 0+git20170707.3e6a763

=== debian/changelog ===
golang-github-prometheus-common (0+git20170707.3e6a763-1~bpo9+3) stretch-backports; urgency=medium

  * Rebuild to see if dak is happy this time.
  * Automatic fixes to control and copyright from cme.

 -- Martín Ferrari <tincho@debian.org>  Tue, 05 Sep 2017 00:39:17 +0000

golang-github-prometheus-common (0+git20170707.3e6a763-1~bpo9+2) stretch-backports; urgency=medium

  * Add missing version in logrus dependency.

 -- Martín Ferrari <tincho@debian.org>  Wed, 23 Aug 2017 08:24:47 +0000

golang-github-prometheus-common (0+git20170707.3e6a763-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Martín Ferrari <tincho@debian.org>  Thu, 17 Aug 2017 13:00:14 +0000

golang-github-prometheus-common (0+git20170707.3e6a763-1) unstable; urgency=medium

  * Replace debian/rules trick for creating tarballs with gbp config.
  * New upstream snapshot.
  * debian/control: Update Standards-Version (no changes).
  * Update Logrus dependency due to name change.

 -- Martín Ferrari <tincho@debian.org>  Fri, 14 Jul 2017 17:57:07 +0000

golang-github-prometheus-common (0+git20170220.49fee29-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Martín Ferrari <tincho@debian.org>  Sun, 16 Jul 2017 23:11:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,37 @@
 Source: golang-github-prometheus-common
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Martín Ferrari <tincho@debian.org>,
 Section: devel
+Testsuite: autopkgtest-pkg-go
 Priority: extra
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Martín Ferrari <tincho@debian.org>
-Build-Depends: debhelper (>= 9.0.0), dh-golang (>= 1.17~), golang-any,
+Build-Depends: debhelper (>= 9.0.0),
+               dh-golang (>= 1.17~),
+               golang-any,
                golang-github-julienschmidt-httprouter-dev,
                golang-github-prometheus-client-model-dev,
-               golang-golang-x-net-dev (>= 1:0.0+git20160518),
+               golang-github-sirupsen-logrus-dev (>= 1.0.2),
+               golang-golang-x-net-dev,
                golang-goprotobuf-dev,
-               golang-github-sirupsen-logrus-dev,
                golang-protobuf-extensions-dev,
                golang-yaml.v2-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-prometheus-common.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-prometheus-common.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-prometheus-common.git
 Homepage: https://github.com/prometheus/common
 XS-Go-Import-Path: github.com/prometheus/common
-Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-prometheus-common-dev
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends},
-         golang-github-julienschmidt-httprouter-dev,
+Depends: golang-github-julienschmidt-httprouter-dev,
          golang-github-prometheus-client-golang-dev,
          golang-github-prometheus-client-model-dev,
-         golang-golang-x-net-dev (>= 1:0.0+git20160518),
+         golang-github-sirupsen-logrus-dev (>= 1.0.2),
+         golang-golang-x-net-dev,
          golang-goprotobuf-dev,
-         golang-github-sirupsen-logrus-dev,
          golang-protobuf-extensions-dev,
          golang-yaml.v2-dev,
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: Common libraries for Prometheus components
  This package includes:
  .

## golang-github-prometheus-common 0+git20171117.2e54d0b

=== debian/changelog ===
golang-github-prometheus-common (0+git20171117.2e54d0b-1) unstable; urgency=medium

  * New upstream release.
  * Add missing version in logrus dependency.
  * Automatic fixes to control and copyright from cme.
  * debian/control: Update Standards-Version (no changes).
  * debian/control: Update Description.
  * debian/control: Update Priority.
  * debian/control: Update dependencies.
  * debian/control: Add new go-kit dependency.
  * Stop using pristine-tar.
  * Patch log_test.go to avoid test failure.
  * Update lintian overrides.

 -- Martín Ferrari <tincho@debian.org>  Thu, 14 Dec 2017 15:13:07 +0000

=== debian/control ===
Source: golang-github-prometheus-common
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 9.0.0),
               dh-golang (>= 1.17~),
               golang-any,
               golang-github-go-kit-kit-dev,
               golang-github-julienschmidt-httprouter-dev,
               golang-github-pkg-errors-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-sirupsen-logrus-dev (>= 1.0.2),
               golang-golang-x-net-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-goprotobuf-dev,
               golang-protobuf-extensions-dev,
               golang-yaml.v2-dev,
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-prometheus-common.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-prometheus-common.git
Homepage: https://github.com/prometheus/common
XS-Go-Import-Path: github.com/prometheus/common

Package: golang-github-prometheus-common-dev
Architecture: all
Depends: golang-github-go-kit-kit-dev,
         golang-github-julienschmidt-httprouter-dev,
         golang-github-pkg-errors-dev,
         golang-github-prometheus-client-golang-dev,
         golang-github-prometheus-client-model-dev,
         golang-github-sirupsen-logrus-dev (>= 1.0.2),
         golang-golang-x-net-dev,
         golang-gopkg-alecthomas-kingpin.v2-dev,
         golang-goprotobuf-dev,
         golang-protobuf-extensions-dev,
         golang-yaml.v2-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common libraries for Prometheus components
 This package includes:
 .
  * github.com/prometheus/common/config: Common configuration structures.
  * github.com/prometheus/common/expfmt: Decoding and encoding for the
    exposition format.
  * github.com/prometheus/common/log: Wraps https://github.com/Sirupsen/logrus
    in order to add line:file annotations to log lines, as well as to provide
    common command-line flags for Prometheus components using it.
  * github.com/prometheus/common/model: Shared data structures.
  * github.com/prometheus/common/promlog: Defines standardised ways to
    initialize Go kit loggers across Prometheus components.
  * github.com/prometheus/common/route: A routing wrapper around
    https://github.com/julienschmidt/httprouter using `context.Context`.
  * github.com/prometheus/common/version: Version information and metrics.

## golang-github-prometheus-common 0+git20180110.89604d1

=== debian/changelog ===
golang-github-prometheus-common (0+git20180110.89604d1-1~bpo9+1) stretch-backports; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Martín Ferrari ]
  * Rebuild for stretch-backports.

 -- Martín Ferrari <tincho@debian.org>  Sun, 08 Apr 2018 17:08:04 +0000

golang-github-prometheus-common (0+git20180110.89604d1-1) unstable; urgency=medium

  * New upstream snapshot.
  * Update S-V and compat level.

 -- Martín Ferrari <tincho@debian.org>  Sun, 21 Jan 2018 20:00:22 +0000

golang-github-prometheus-common (0+git20171117.2e54d0b-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Martín Ferrari <tincho@debian.org>  Wed, 10 Jan 2018 17:08:21 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 11),
                dh-golang (>= 1.17~),
                golang-any,
                golang-github-go-kit-kit-dev,
@@ -17,9 +17,9 @@
                golang-goprotobuf-dev,
                golang-protobuf-extensions-dev,
                golang-yaml.v2-dev,
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-prometheus-common.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-prometheus-common.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-common
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-common.git
 Homepage: https://github.com/prometheus/common
 XS-Go-Import-Path: github.com/prometheus/common

## golang-github-prometheus-common 0+git20180413.d0f7cd6

=== debian/changelog ===
golang-github-prometheus-common (0+git20180413.d0f7cd6-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Martín Ferrari ]
  * New upstream snapshot.

 -- Martín Ferrari <tincho@debian.org>  Sat, 19 May 2018 12:53:30 +0000

## golang-github-prometheus-common 0+git20180518.7600349

=== debian/changelog ===
golang-github-prometheus-common (0+git20180518.7600349-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump Standards-Version (no changes).
  * Add new dependency.

 -- Martín Ferrari <tincho@debian.org>  Sun, 10 Jun 2018 18:21:28 +0000

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                golang-any,
                golang-github-go-kit-kit-dev,
                golang-github-julienschmidt-httprouter-dev,
+               golang-github-mwitkow-go-conntrack-dev,
                golang-github-pkg-errors-dev,
                golang-github-prometheus-client-model-dev,
                golang-github-sirupsen-logrus-dev (>= 1.0.2),
@@ -17,7 +18,7 @@
                golang-goprotobuf-dev,
                golang-protobuf-extensions-dev,
                golang-yaml.v2-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-common
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-common.git
 Homepage: https://github.com/prometheus/common
@@ -27,6 +28,7 @@
 Architecture: all
 Depends: golang-github-go-kit-kit-dev,
          golang-github-julienschmidt-httprouter-dev,
+         golang-github-mwitkow-go-conntrack-dev,
          golang-github-pkg-errors-dev,
          golang-github-prometheus-client-golang-dev,
          golang-github-prometheus-client-model-dev,

=== debian/rules ===
#!/usr/bin/make -f

# Include test fixtures.
export DH_GOLANG_INSTALL_EXTRA := expfmt/testdata config/testdata

# Remove the version package, to avoid circular dependency. These are copied
# later using dh_install.
export DH_GOLANG_EXCLUDES := github.com/prometheus/common/version

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-prometheus-common 0+git20181119.b36ad28

=== debian/changelog ===
golang-github-prometheus-common (0+git20181119.b36ad28-2) unstable; urgency=medium

  [ Martín Ferrari ]
  * debian/control: Use new package name for yaml dependency.

  [ Anthony Fok ]
  * Update Maintainer email address to team+pkg-go@tracker.debian.org
  * Add myself to the list of Uploaders
  * Apply "cme fix dpkg" fixes:
    - Update debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
    - Bump Standards-Version to 4.4.0 (no change)
  * Replace DH_GOLANG_INSTALL_EXTRA with dh-golang (>= 1.31~) as dh-golang
    now install testdata directories automatically
  * Set DH_GOLANG_EXCLUDES_ALL to false to maintain same behaviour
    with debhelper-compat (= 12)
  * Backport upstream patch "config: extend validity of testdata certs":
    As the previous test certificates were set to expire on 2019-07-13,
    causing TestNewClientFromConfig to fail after that date.
    See https://github.com/prometheus/common/pull/186

 -- Anthony Fok <foka@debian.org>  Tue, 27 Aug 2019 06:31:29 -0600

golang-github-prometheus-common (0+git20181119.b36ad28-1) unstable; urgency=medium

  * New upstream snapshot.
  * Update Standards-Version with no changes.

 -- Martín Ferrari <tincho@debian.org>  Wed, 19 Dec 2018 15:40:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: golang-github-prometheus-common
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
+           Anthony Fok <foka@debian.org>
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 11),
-               dh-golang (>= 1.17~),
+Build-Depends: debhelper-compat (= 12),
+               dh-golang (>= 1.31~),
                golang-any,
                golang-github-go-kit-kit-dev,
                golang-github-julienschmidt-httprouter-dev,
@@ -15,10 +16,10 @@
                golang-github-sirupsen-logrus-dev (>= 1.0.2),
                golang-golang-x-net-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
+               golang-gopkg-yaml.v2-dev (>= 2.2.1),
                golang-goprotobuf-dev,
                golang-protobuf-extensions-dev,
-               golang-yaml.v2-dev,
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-common
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-common.git
 Homepage: https://github.com/prometheus/common
@@ -35,9 +36,9 @@
          golang-github-sirupsen-logrus-dev (>= 1.0.2),
          golang-golang-x-net-dev,
          golang-gopkg-alecthomas-kingpin.v2-dev,
+         golang-gopkg-yaml.v2-dev (>= 2.2.1),
          golang-goprotobuf-dev,
          golang-protobuf-extensions-dev,
-         golang-yaml.v2-dev,
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Common libraries for Prometheus components

## golang-github-prometheus-common 0.7.0

=== debian/changelog ===
golang-github-prometheus-common (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Revert "Backport upstream patch "config: extend validity of testdata
    certs"".
  * Name update.

 -- Martina Ferrari <tincho@debian.org>  Tue, 29 Oct 2019 08:36:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: golang-github-prometheus-common
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Martín Ferrari <tincho@debian.org>,
+Uploaders: Martina Ferrari <tincho@debian.org>,
            Anthony Fok <foka@debian.org>
 Section: devel
 Testsuite: autopkgtest-pkg-go

=== debian/rules ===
#!/usr/bin/make -f

# Remove the version package, to avoid circular dependency. These are copied
# later using dh_install.
export DH_GOLANG_EXCLUDES := github.com/prometheus/common/version
export DH_GOLANG_EXCLUDES_ALL := 0

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-prometheus-common 0.10.0

=== debian/changelog ===
golang-github-prometheus-common (0.10.0-1) unstable; urgency=medium

  [ Lucas Kanashiro ]
  * New upstream release.
  * Add myself to the Uploaders list
  * Bump debhelper compatibility level to 13
  * Add version constraint to golang-github-prometheus-client-model-dev
  * Declare compliance with Debian Policy 4.5.0
  * Update years of the upstream copyright
  * d/watch: track tags in upstream git repository

  [ Daniel Swarbrick ]
  * Add myself to Uploaders
  * Update maintainer email addresses / names
  * Add debian/upstream/metadata
  * Update lintian overrides (update renamed tags)

 -- Martina Ferrari <tina@debian.org>  Mon, 22 Jun 2020 13:07:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: golang-github-prometheus-common
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Martina Ferrari <tincho@debian.org>,
-           Anthony Fok <foka@debian.org>
+Uploaders: Martina Ferrari <tina@debian.org>,
+           Anthony Fok <foka@debian.org>,
+           Lucas Kanashiro <kanashiro@debian.org>,
+           Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang (>= 1.31~),
                golang-any,
                golang-github-go-kit-kit-dev,
                golang-github-julienschmidt-httprouter-dev,
                golang-github-mwitkow-go-conntrack-dev,
                golang-github-pkg-errors-dev,
-               golang-github-prometheus-client-model-dev,
+               golang-github-prometheus-client-model-dev (>= 0.2.0),
                golang-github-sirupsen-logrus-dev (>= 1.0.2),
                golang-golang-x-net-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev (>= 2.2.1),
                golang-goprotobuf-dev,
                golang-protobuf-extensions-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-common
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-common.git
 Homepage: https://github.com/prometheus/common
@@ -32,7 +35,7 @@
          golang-github-mwitkow-go-conntrack-dev,
          golang-github-pkg-errors-dev,
          golang-github-prometheus-client-golang-dev,
-         golang-github-prometheus-client-model-dev,
+         golang-github-prometheus-client-model-dev (>= 0.2.0),
          golang-github-sirupsen-logrus-dev (>= 1.0.2),
          golang-golang-x-net-dev,
          golang-gopkg-alecthomas-kingpin.v2-dev,

## golang-github-prometheus-common 0.14.0

=== debian/changelog ===
golang-github-prometheus-common (0.14.0-2) unstable; urgency=medium

  * Team upload.
  * Add patch to revert API break in NewClientFromConfig.
    Fix autopkgtest regression for prometheus-alertmanager

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 25 Oct 2020 17:10:00 +0800

golang-github-prometheus-common (0.14.0-1) unstable; urgency=low

  [ Daniel Swarbrick ]
  * New upstream release.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

  [ Martina Ferrari ]
  * Update email address.

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Tue, 13 Oct 2020 12:00:13 +0100

## golang-github-prometheus-common 0.15.0

=== debian/changelog ===
golang-github-prometheus-common (0.15.0-2ubuntu1) impish; urgency=medium

  * Cherry pick code from upstream to fix an issue with RootCA comparison. As
    of go 1.16 these RootCAs will never be equal, so we just compare the
    subjects instead of the entire value. (LP: #1930772)

 -- William 'jawn-smith' Wilson <william.wilson@canonical.com>  Wed, 23 Jun 2021 17:25:06 +0000

golang-github-prometheus-common (0.15.0-2) unstable; urgency=medium

  * Team upload.
  * Mark -dev package as Multi-Arch: foreign
  * Decapitalize synopsis first word

 -- Guillem Jover <gjover@sipwise.com>  Tue, 26 Jan 2021 21:19:08 +0100

golang-github-prometheus-common (0.15.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use '' instead of `' in text
  * Move note about license location on Debian systems into a Comment field
  * Switch to Standards-Version 4.5.1 (no changes needed)
  * Switch Section to golang
  * Update gitignore entries

 -- Guillem Jover <gjover@sipwise.com>  Sat, 23 Jan 2021 02:44:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: golang-github-prometheus-common
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Anthony Fok <foka@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>,
            Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>
-Section: devel
+Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -21,7 +22,7 @@
                golang-gopkg-yaml.v2-dev (>= 2.2.1),
                golang-goprotobuf-dev,
                golang-protobuf-extensions-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-common
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-common.git
@@ -30,6 +31,7 @@
 
 Package: golang-github-prometheus-common-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: golang-github-go-kit-kit-dev,
          golang-github-julienschmidt-httprouter-dev,
          golang-github-mwitkow-go-conntrack-dev,
@@ -44,7 +46,7 @@
          golang-protobuf-extensions-dev,
          ${misc:Depends},
          ${shlibs:Depends},
-Description: Common libraries for Prometheus components
+Description: common libraries for Prometheus components
  This package includes:
  .
   * github.com/prometheus/common/config: Common configuration structures.

## golang-github-prometheus-common 0.18.0

=== debian/changelog ===
golang-github-prometheus-common (0.18.0-2) unstable; urgency=medium

  * Team upload.
  * Add patch to keep NewBearerAuthRoundTripper function

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 25 Oct 2021 01:40:58 +0800

golang-github-prometheus-common (0.18.0-1) unstable; urgency=medium

  * Team upload.

  [ Guillem Jover ]
  * Update gitlab-ci.yml from latest upstream version

  [ Shengjing Zhu ]
  * New upstream version v0.18.0
    + Fix test with Go1.16 (Closes: #990241, #997552)
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 24 Oct 2021 18:08:07 +0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: golang-github-prometheus-common
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Anthony Fok <foka@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>,
@@ -22,7 +21,7 @@
                golang-gopkg-yaml.v2-dev (>= 2.2.1),
                golang-goprotobuf-dev,
                golang-protobuf-extensions-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-common
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-common.git

## golang-github-prometheus-common 0.32.1

=== debian/changelog ===
golang-github-prometheus-common (0.32.1-5) unstable; urgency=medium

  * Team upload.
  * Add a Breaks prometheus-alertmanager (<< 0.22.0~) for API break.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 30 Nov 2021 13:03:08 +0100

golang-github-prometheus-common (0.32.1-4) unstable; urgency=medium

  * Remove API break reverting patch, otherwise the prometheus-alertmanager
    package cannot be updated to a newer upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Thu, 25 Nov 2021 23:58:08 +0100

golang-github-prometheus-common (0.32.1-3) unstable; urgency=medium

  * Team upload.
  * Switch to go-kit/log and remove reverting patch

 -- Guillem Jover <gjover@sipwise.com>  Thu, 25 Nov 2021 18:41:18 +0100

golang-github-prometheus-common (0.32.1-2) unstable; urgency=medium

  * Team upload.
  * Add patch to revert API break in NewClientFromConfig.
    Fix autopkgtest regression for prometheus-alertmanager.

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 20 Nov 2021 16:52:05 +0800

golang-github-prometheus-common (0.32.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Update dependencies.
    - Update provided modules in package description.
    - Update copyright years.
    - Remove obsolete patches.
  * Add patch to temporarily revert the kit/log module switch until the split
    module is available in Debian.
  * Remove unused ${shlibs:Depends} substvar from Depends.
  * Switch to dh-sequence-golang instead of dh-golang and --with=golang.

 -- Guillem Jover <gjover@sipwise.com>  Thu, 11 Nov 2021 01:18:04 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,16 @@
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-golang (>= 1.31~),
+               dh-sequence-golang,
                golang-any,
-               golang-github-go-kit-kit-dev,
+               golang-github-aws-aws-sdk-go-dev,
+               golang-github-go-kit-log-dev,
                golang-github-julienschmidt-httprouter-dev,
                golang-github-mwitkow-go-conntrack-dev,
                golang-github-pkg-errors-dev,
                golang-github-prometheus-client-model-dev (>= 0.2.0),
-               golang-github-sirupsen-logrus-dev (>= 1.0.2),
                golang-golang-x-net-dev,
+               golang-golang-x-oauth2-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev (>= 2.2.1),
                golang-goprotobuf-dev,
@@ -31,32 +32,33 @@
 Package: golang-github-prometheus-common-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-go-kit-kit-dev,
+Depends: golang-github-aws-aws-sdk-go-dev,
+         golang-github-go-kit-log-dev,
          golang-github-julienschmidt-httprouter-dev,
          golang-github-mwitkow-go-conntrack-dev,
          golang-github-pkg-errors-dev,
          golang-github-prometheus-client-golang-dev,
          golang-github-prometheus-client-model-dev (>= 0.2.0),
-         golang-github-sirupsen-logrus-dev (>= 1.0.2),
          golang-golang-x-net-dev,
+         golang-golang-x-oauth2-dev,
          golang-gopkg-alecthomas-kingpin.v2-dev,
          golang-gopkg-yaml.v2-dev (>= 2.2.1),
          golang-goprotobuf-dev,
          golang-protobuf-extensions-dev,
          ${misc:Depends},
-         ${shlibs:Depends},
+Breaks: prometheus-alertmanager (<< 0.22.0~),
 Description: common libraries for Prometheus components
  This package includes:
  .
   * github.com/prometheus/common/config: Common configuration structures.
   * github.com/prometheus/common/expfmt: Decoding and encoding for the
     exposition format.
-  * github.com/prometheus/common/log: Wraps https://github.com/Sirupsen/logrus
-    in order to add line:file annotations to log lines, as well as to provide
-    common command-line flags for Prometheus components using it.
   * github.com/prometheus/common/model: Shared data structures.
   * github.com/prometheus/common/promlog: Defines standardised ways to
     initialize Go kit loggers across Prometheus components.
   * github.com/prometheus/common/route: A routing wrapper around
     https://github.com/julienschmidt/httprouter using `context.Context`.
+  * github.com/prometheus/common/server: Common servers.
+  * github.com/prometheus/common/sigv4: Provides a http.RoundTripper that
+    signs requests using Amazon's Signature Verification V4 signing procedure.
   * github.com/prometheus/common/version: Version information and metrics.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 export DH_GOLANG_EXCLUDES_ALL := 0
 
 %:
-	dh $@ --buildsystem=golang --with=golang
+	dh $@ --buildsystem=golang

=== debian/watch ===
version=4
https://github.com/prometheus/common/tags \/.*\/v([\d\.]*)\.tar\.gz
